RSS

  • YouTube
  • LinkedIn
  • Google

Archiv nach dem Monat : Amavisd-new

Servidor de Email –; Teil 1 ; Notwendigen Einrichtungen

Ich habe meine eigenen Mail-Server verwenden Postfix, Dovecot, MariaDB, SpamAssassin, ClamAV, Amavisd-new, fail2ban, nginx, postfixadmin und RoundCube sob o CentOS 7.
Obwohl es hat einige Rezepte für dieses Paket konfigurieren, Es hat mich viele Stunden, um herauszufinden, wie den Dienst einwandfrei zu halten, jede Einstellung in main.cf und master.cf und Erreichung bei der Verringerung der Flut von Spam, die jede Minute ankommt.
Und Anti-Spam steht im Mittelpunkt dieser Veröffentlichung. Ich haben gelitten und leiden noch immer mit die ständigen Versuche, meine Dienste als ein Zombie oder vergießen von Viren verwenden, Betrug und alles, was Sie können.

Ich aufgehört zu zählen wie oft mein DNS-Dienst beendet durch Übermaß an Verbindung in Entupiam versucht, den Speicher und zwang die s.. Trennverfahren, Ressourcen zu schonen und die mit dem Namen wurde gewählt als das schwächste Glied.
Also, Dieser Artikel hat Fokus in der richtigen Konfiguration für private Mail-Dienste, ein paar User und einige domains. Dient dazu sicherlich eine Menge dessen, was in dieser kurzen Anleitung, Weltklasse-Service, aber ich glaube, dass in diesen Fällen die Verwendung der Tools oder engagierte und spezialisierte Dienste immer in Betracht gezogen werden sollte.



Lesen Sie weiter >>

Fehler beim Starten von Amavisd-new

Vor zwei Tagen bin ich versucht, die Software für meinen neuen Server zu installieren, dieser Blog gehostet wird, meine persönliche Projekte und meine E-mail-server.
Ich bin als Basis dieses verwendet HOWTO.

Ich hatte eine Menge Probleme in der Installation und vor allem einen Fehler beim Starten von Amavisd-new

Googando sah ich verschiedene Wege zur Lösung und keine Arbeit. Das ist, als ich merkte, dass etwas albern, aber dass macht durchaus Sinn. Die erwähnten Pakete, Perl-Mail-DKIM e Perl-Crypt-OpenSSL-RSA., wies auf EL5, während das Paket Amavis EL6 hingewiesen.
Geprüft, ob die DAG Rpmforge war mit EL5 und korrigieren für meine Centos 6.3 die DAG EL6 verwendet wurde. Zu diesem Titel zu korrigieren und update-Pakete, VOI-la. Alles war schön.

Folgen Sie den Schritten zur ansetzen

Importieren Sie zuerst den Schlüssel für das repository
rpm --import http://apt.sw.be/RPM-GPG-KEY.dag.txt
Deinstallieren Sie die aktuelle (Verwenden Sie Yum Suche Rpmforge-Version, um herauszufinden, der korrekte Name des Pakets), Die RPM-Datei herunterladen und die Installation zu machen.

> yum remove rpmforge-release-0.5.2-2.el5.rf.x86_64
> wget http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.2-2.el6.rf.x86_64.rpm
> rpm -i rpmforge-release-0.5.2-2.el6.rf.x86_64.rpm

Der letzte Schritt ist die Verteilung zu synchronisieren, Das führt dazu, dass die Pakete ersetzt werden durch bestehende in EL5 EL6.
> yum distribution-synchronization

Ab diesem Zeitpunkt, Falls es die Installation aller Pakete zuvor geschehen ist, Sie sollten diesen Fehler nicht zeigen..

Ich hoffe, dass es Ihnen geholfen.

Nützliche links
http://wiki.centos.org/AdditionalResources/Repositories/RPMForge#head-f0c3ecee3dbb407e4eed79a56ec0ae92d1398e01